//////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Author: Synactive, Inc. [1065 E. Hillsdale Blvd, Foster City, CA, 94404, USA]
// Email: support@guixt.com; sales@guixt.com; 
// Contact: 650.341.3310
// Version: 1.0.0.0
//////////////////////////////////////////////////////////////////////////////////////////////////////////////

clearscreen();
windowsize([0,2,105,10]);

title("Select Plant");

del("P[Generate]");			// Toolbar Button on Popup
del("P[End Session]");		// Toolbar Button on Popup
del("P[Continue]");			// Toolbar Button on Popup
text('P[Cancel]','@02@Cancel');

if(plantValue.length > 0){
	rowNumber = 0;		// Row Number to start painting controls on the screen
	colNumber = 1;		// Column Number to start painting controls on the screen
	plantNumber = '';
	
	for (var loop=0; loop<plantValue.length; loop++){
		if (colNumber > 100){	// On the screen, if the width of the screen exceeds 100, then draw controls on next row
			rowNumber+=3;
			colNumber=1;
		}
		plantNumber = plantValue[loop].substring(0,4).trim();

		pushbutton([rowNumber,colNumber],plantNumber,{"process":selectPlant, 'using':{'l_plant':plantNumber},"size":[2,5]});
		colNumber+=7;
	}
} 


onUIEvents['/12']={"process":exitPopup};
onUIEvents['Enter']={"process":exitPopup};